'*****************************************************************
' Debug Server and Debug Client applications definitions
' Copyright by B. Aslan 2004., ver 1.0, rev 003
'
'*****************************************************************

 ' Debug Server/Client messages
 %DSRV_HWND             = 500 ' dialog hWnd
 %DSRV_HTXT             = 501 ' debug content (textbox) hWnd
 %DSRV_HIPT             = 502 ' retrieve IPT hWnd
 %DSRV_SUPP             = 503 ' support functions (additional functions)
 %DSRV_CLEAR            = 100 ' clear debug server content
 %DSRV_TOPMOST          = 101 ' make debug server top most
 %DSRV_NONTOPMOST       = 102 ' make debug server non top most
 %DSRV_SAVETOFILE       = 103 ' save content of debug server to a file
 %DSRV_COPYTOCLIPBOARD  = 104 ' copy content of debug server to a clipboard
 %DSRV_DATALENGTH       = 105 ' return the lenght of debug server buffer in bytes
 %DSRV_LOCKWINDOW       = 106 ' lock debug server in current position
 %DSRV_UNLOCKWINDOW     = 107 ' unlock debug server window
 %DSRV_ENABLESCROLL     = 108 ' enable autoscrolling
 %DSRV_DISABLESCROLL    = 109 ' disable autoscrolling
 %DSRV_SHOWTIME         = 110 ' show time
 %DSRV_HIDETIME         = 111 ' don't show time
 %DSRV_SETFONT          = 112 ' set debug server's window font
 %DSRV_MOVEWINDOW       = 113 ' move window to a new position (dialog units)
 %DSRV_RESETDEBUGSERVER = 114 ' reset debug server. Clear Content/IPT, Set font 'Courier New 9'
                              ' Disable Scroll/Time, Unlock window

 %DSRV_HANDSHAKE        = 900 ' establish connection between debug server and client
 %DSRV_RESTORE          = 999 ' restore debug server window (redraw)
 %DSRV_ADDTEXT          = 1000 ' update debug window

 $DEBUG_SERVER_CAPTION  = "Debug Server"
 $DEBUG_CLIENT_CAPTION  = "Debug Client"

#IF NOT %DEF(%DEBUGCLIENT)
 ' only for custom applications
 DECLARE SUB DEBUG       LIB "DebugClient.dll" ALIAS "DEBUG"       (BYVAL st  AS STRING)
 DECLARE SUB DEBUGV      LIB "DebugClient.dll" ALIAS "DEBUGV"      (OPT BYVAL VARIANT,OPT BYVAL VARIANT,OPT BYVAL VARIANT,OPT BYVAL VARIANT, _
                                                                    OPT BYVAL VARIANT,OPT BYVAL VARIANT,OPT BYVAL VARIANT,OPT BYVAL VARIANT )
 DECLARE SUB DEBUGSETCMD LIB "DebugClient.dll" ALIAS "DEBUGSETCMD" (BYVAL Cmd AS LONG, OPT BYVAL st AS STRING)
#ENDIF
